Changeset 1979


Ignore:
Timestamp:
Nov 21, 2013 2:57:20 PM (5 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
trunk/Cbc
Files:
8 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/Makefile.am

    r1739 r1979  
    1414
    1515SUBDIRS = src
     16
     17# Don't do src/OsiCbc recursively, since src/OsiCbc/libOsiCbc depends on src/libCbc
     18SUBDIRS += src/OsiCbc
    1619
    1720# We don't want to compile the test subdirectory, unless the test target is
  • trunk/Cbc/Makefile.in

    r1933 r1979  
    100100ETAGS = etags
    101101CTAGS = ctags
    102 DIST_SUBDIRS = src test
     102DIST_SUBDIRS = src src/OsiCbc test
    103103DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    104104distdir = $(PACKAGE)-$(VERSION)
     
    227227DEFS = @DEFS@
    228228DEPDIR = @DEPDIR@
     229DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     230DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    229231DYLP_CFLAGS = @DYLP_CFLAGS@
    230232DYLP_CFLAGS_INSTALLED = @DYLP_CFLAGS_INSTALLED@
     
    437439#                          Subdirectories                              #
    438440########################################################################
    439 SUBDIRS = src $(am__append_1)
     441
     442# Don't do src/OsiCbc recursively, since src/OsiCbc/libOsiCbc depends on src/libCbc
     443SUBDIRS = src src/OsiCbc $(am__append_1)
    440444
    441445########################################################################
  • trunk/Cbc/configure

    r1967 r1979  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19741974fi;
    19751975
     1976  if test "$enable_msvc" = MD; then
     1977    enable_shared=yes
     1978    enable_msvc=yes
     1979  fi
     1980
    19761981  if test "$enable_msvc" = yes; then
    19771982    case $build in
     
    19962001   fi
    19972002 fi
    1998 
    1999 
    2000 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    2001 if test "${enable_static_standardlibs+set}" = set; then
    2002   enableval="$enable_static_standardlibs"
    2003   case "$enableval" in
    2004      no | yes | auto ) ;;
    2005      *)
    2006        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    2007 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    2008    { (exit 1); exit 1; }; } ;;
    2009    esac
    2010    use_static_standardlibs=$enableval
    2011 else
    2012   use_static_standardlibs=no
    2013 fi;
    2014 
    20152003
    20162004
     
    28562844    fi ;;
    28572845  * )
    2858     CYGPATH_W=echo
     2846    if test x"$CYGPATH_W" = x ; then
     2847      CYGPATH_W=echo
     2848    fi
    28592849    ;;
    28602850esac
     
    31013091    CFLAGS="$OPT_CFLAGS"
    31023092  fi
    3103 
    31043093else
    31053094  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31113100  fi
    31123101fi
    3113 
    3114 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3115 
    3116 case "$CFLAGS" in
    3117   *-mno-cygwin*)
    3118     if test x${CPPFLAGS+set} != xset ; then
    3119       CPPFLAGS="-mno-cygwin"
    3120     else
    3121       case "$CPPFLAGS" in
    3122         *-mno-cygwin*)
    3123           ;;
    3124         *)
    3125           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3126           ;;
    3127       esac
    3128     fi ;;
    3129 esac
    31303102
    31313103# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     
    32693241esac
    32703242
    3271 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3272 if test x$use_static_standardlibs != xno ; then
    3273   case $build in
    3274     *-mingw*)
    3275       static_standardlib_flag=-static
    3276       ;;
    3277     *)
    3278       static_standardlib_flag=-static-libgcc
    3279       ;;
    3280   esac
    3281   case " $LDFLAGS " in
    3282     *" $static_standardlib_flag "* ) ;;
    3283     *)
    3284     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3285 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3286     coin_save_LDFLAGS="$LDFLAGS"
    3287     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3288     cat >conftest.$ac_ext <<_ACEOF
    3289 /* confdefs.h.  */
    3290 _ACEOF
    3291 cat confdefs.h >>conftest.$ac_ext
    3292 cat >>conftest.$ac_ext <<_ACEOF
    3293 /* end confdefs.h.  */
    3294 
    3295 int
    3296 main ()
    3297 {
    3298 int i=0;
    3299   ;
    3300   return 0;
    3301 }
    3302 _ACEOF
    3303 rm -f conftest.$ac_objext conftest$ac_exeext
    3304 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3305   (eval $ac_link) 2>conftest.er1
    3306   ac_status=$?
    3307   grep -v '^ *+' conftest.er1 >conftest.err
    3308   rm -f conftest.er1
    3309   cat conftest.err >&5
    3310   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3311   (exit $ac_status); } &&
    3312          { ac_try='test -z "$ac_c_werror_flag"
    3313                          || test ! -s conftest.err'
    3314   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3315   (eval $ac_try) 2>&5
    3316   ac_status=$?
    3317   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3318   (exit $ac_status); }; } &&
    3319          { ac_try='test -s conftest$ac_exeext'
    3320   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3321   (eval $ac_try) 2>&5
    3322   ac_status=$?
    3323   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3324   (exit $ac_status); }; }; then
    3325   echo "$as_me:$LINENO: result: yes" >&5
    3326 echo "${ECHO_T}yes" >&6
    3327 else
    3328   echo "$as_me: failed program was:" >&5
    3329 sed 's/^/| /' conftest.$ac_ext >&5
    3330 
    3331 echo "$as_me:$LINENO: result: no" >&5
    3332 echo "${ECHO_T}no" >&6
    3333        LDFLAGS="$coin_save_LDFLAGS"
    3334        if test $use_static_standardlibs = yes ; then
    3335          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3336 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3337    { (exit 1); exit 1; }; }
    3338        fi
    3339 
    3340 fi
    3341 rm -f conftest.err conftest.$ac_objext \
    3342       conftest$ac_exeext conftest.$ac_ext
    3343     ;;
    3344   esac
    3345 fi
    3346 
    33473243ac_ext=c
    33483244ac_cpp='$CPP $CPPFLAGS'
     
    33543250
    33553251 #Let's try if that overcomes configuration problem with VC++ 6.0
    3356 
    33573252
    33583253ac_ext=cc
     
    38483743    fi ;;
    38493744  * )
    3850     CYGPATH_W=echo
     3745    if test x"$CYGPATH_W" = x ; then
     3746      CYGPATH_W=echo
     3747    fi
    38513748    ;;
    38523749esac
     
    40973994fi
    40983995
    4099 # If CXXFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    4100 
    4101 case "$CXXFLAGS" in
    4102   *-mno-cygwin*)
    4103     if test x${CPPFLAGS+set} != xset ; then
    4104       CPPFLAGS="-mno-cygwin"
    4105     else
    4106       case "$CPPFLAGS" in
    4107         *-mno-cygwin*)
    4108           ;;
    4109         *)
    4110           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    4111           ;;
    4112       esac
    4113     fi ;;
    4114 esac
    4115 
    41163996# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    41173997if test x$COIN_PRJCT != x; then
     
    42544134esac
    42554135
    4256 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4257 if test x$use_static_standardlibs != xno ; then
    4258   case $build in
    4259     *-mingw*)
    4260       static_standardlib_flag=-static
    4261       ;;
    4262     *)
    4263       static_standardlib_flag=-static-libstdc++
    4264       ;;
    4265   esac
    4266   case " $LDFLAGS " in
    4267     *" $static_standardlib_flag "* ) ;;
    4268     *)
    4269     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4270 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4271     coin_save_LDFLAGS="$LDFLAGS"
    4272     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4273     cat >conftest.$ac_ext <<_ACEOF
    4274 /* confdefs.h.  */
    4275 _ACEOF
    4276 cat confdefs.h >>conftest.$ac_ext
    4277 cat >>conftest.$ac_ext <<_ACEOF
    4278 /* end confdefs.h.  */
    4279 
    4280 int
    4281 main ()
    4282 {
    4283 int i=0;
    4284   ;
    4285   return 0;
    4286 }
    4287 _ACEOF
    4288 rm -f conftest.$ac_objext conftest$ac_exeext
    4289 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4290   (eval $ac_link) 2>conftest.er1
    4291   ac_status=$?
    4292   grep -v '^ *+' conftest.er1 >conftest.err
    4293   rm -f conftest.er1
    4294   cat conftest.err >&5
    4295   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4296   (exit $ac_status); } &&
    4297          { ac_try='test -z "$ac_cxx_werror_flag"
    4298                          || test ! -s conftest.err'
    4299   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4300   (eval $ac_try) 2>&5
    4301   ac_status=$?
    4302   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4303   (exit $ac_status); }; } &&
    4304          { ac_try='test -s conftest$ac_exeext'
    4305   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4306   (eval $ac_try) 2>&5
    4307   ac_status=$?
    4308   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4309   (exit $ac_status); }; }; then
    4310   echo "$as_me:$LINENO: result: yes" >&5
    4311 echo "${ECHO_T}yes" >&6
    4312 else
    4313   echo "$as_me: failed program was:" >&5
    4314 sed 's/^/| /' conftest.$ac_ext >&5
    4315 
    4316 echo "$as_me:$LINENO: result: no" >&5
    4317 echo "${ECHO_T}no" >&6
    4318        LDFLAGS="$coin_save_LDFLAGS"
    4319        if test $use_static_standardlibs = yes ; then
    4320          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4321 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4322    { (exit 1); exit 1; }; }
    4323        fi
    4324 
    4325 fi
    4326 rm -f conftest.err conftest.$ac_objext \
    4327       conftest$ac_exeext conftest.$ac_ext
    4328     ;;
    4329   esac
    4330 fi
    4331 
    43324136ac_ext=c
    43334137ac_cpp='$CPP $CPPFLAGS'
     
    43664170            ;;
    43674171          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4368             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    4369 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4172            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     4173echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    43704174            ;;
    43714175          *)
     
    55475351
    55485352LIBTOOL=
    5549 if test -r ../libtool; then
     5353if test -f ../libtool; then
    55505354  coin_config_dir=..
    55515355  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    55525356fi
    55535357if test "x$LIBTOOL" = x; then
    5554   if test -r ../../libtool; then
     5358  if test -f ../../libtool; then
    55555359    coin_config_dir=../..
    55565360    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    60985902*-*-irix6*)
    60995903  # Find out which ABI we are using.
    6100   echo '#line 6100 "configure"' > conftest.$ac_ext
     5904  echo '#line 5904 "configure"' > conftest.$ac_ext
    61015905  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61025906  (eval $ac_compile) 2>&5
     
    72327036
    72337037# Provide some information about the compiler.
    7234 echo "$as_me:7234:" \
     7038echo "$as_me:7038:" \
    72357039     "checking for Fortran 77 compiler version" >&5
    72367040ac_compiler=`set X $ac_compile; echo $2`
     
    82998103   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83008104   -e 's:$: $lt_compiler_flag:'`
    8301    (eval echo "\"\$as_me:8301: $lt_compile\"" >&5)
     8105   (eval echo "\"\$as_me:8105: $lt_compile\"" >&5)
    83028106   (eval "$lt_compile" 2>conftest.err)
    83038107   ac_status=$?
    83048108   cat conftest.err >&5
    8305    echo "$as_me:8305: \$? = $ac_status" >&5
     8109   echo "$as_me:8109: \$? = $ac_status" >&5
    83068110   if (exit $ac_status) && test -s "$ac_outfile"; then
    83078111     # The compiler can only warn and ignore the option if not recognized
     
    85678371   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85688372   -e 's:$: $lt_compiler_flag:'`
    8569    (eval echo "\"\$as_me:8569: $lt_compile\"" >&5)
     8373   (eval echo "\"\$as_me:8373: $lt_compile\"" >&5)
    85708374   (eval "$lt_compile" 2>conftest.err)
    85718375   ac_status=$?
    85728376   cat conftest.err >&5
    8573    echo "$as_me:8573: \$? = $ac_status" >&5
     8377   echo "$as_me:8377: \$? = $ac_status" >&5
    85748378   if (exit $ac_status) && test -s "$ac_outfile"; then
    85758379     # The compiler can only warn and ignore the option if not recognized
     
    86718475   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86728476   -e 's:$: $lt_compiler_flag:'`
    8673    (eval echo "\"\$as_me:8673: $lt_compile\"" >&5)
     8477   (eval echo "\"\$as_me:8477: $lt_compile\"" >&5)
    86748478   (eval "$lt_compile" 2>out/conftest.err)
    86758479   ac_status=$?
    86768480   cat out/conftest.err >&5
    8677    echo "$as_me:8677: \$? = $ac_status" >&5
     8481   echo "$as_me:8481: \$? = $ac_status" >&5
    86788482   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86798483   then
     
    1101610820  lt_status=$lt_dlunknown
    1101710821  cat > conftest.$ac_ext <<EOF
    11018 #line 11018 "configure"
     10822#line 10822 "configure"
    1101910823#include "confdefs.h"
    1102010824
     
    1111610920  lt_status=$lt_dlunknown
    1111710921  cat > conftest.$ac_ext <<EOF
    11118 #line 11118 "configure"
     10922#line 10922 "configure"
    1111910923#include "confdefs.h"
    1112010924
     
    1346013264   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346113265   -e 's:$: $lt_compiler_flag:'`
    13462    (eval echo "\"\$as_me:13462: $lt_compile\"" >&5)
     13266   (eval echo "\"\$as_me:13266: $lt_compile\"" >&5)
    1346313267   (eval "$lt_compile" 2>conftest.err)
    1346413268   ac_status=$?
    1346513269   cat conftest.err >&5
    13466    echo "$as_me:13466: \$? = $ac_status" >&5
     13270   echo "$as_me:13270: \$? = $ac_status" >&5
    1346713271   if (exit $ac_status) && test -s "$ac_outfile"; then
    1346813272     # The compiler can only warn and ignore the option if not recognized
     
    1356413368   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1356513369   -e 's:$: $lt_compiler_flag:'`
    13566    (eval echo "\"\$as_me:13566: $lt_compile\"" >&5)
     13370   (eval echo "\"\$as_me:13370: $lt_compile\"" >&5)
    1356713371   (eval "$lt_compile" 2>out/conftest.err)
    1356813372   ac_status=$?
    1356913373   cat out/conftest.err >&5
    13570    echo "$as_me:13570: \$? = $ac_status" >&5
     13374   echo "$as_me:13374: \$? = $ac_status" >&5
    1357113375   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1357213376   then
     
    1513414938   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513514939   -e 's:$: $lt_compiler_flag:'`
    15136    (eval echo "\"\$as_me:15136: $lt_compile\"" >&5)
     14940   (eval echo "\"\$as_me:14940: $lt_compile\"" >&5)
    1513714941   (eval "$lt_compile" 2>conftest.err)
    1513814942   ac_status=$?
    1513914943   cat conftest.err >&5
    15140    echo "$as_me:15140: \$? = $ac_status" >&5
     14944   echo "$as_me:14944: \$? = $ac_status" >&5
    1514114945   if (exit $ac_status) && test -s "$ac_outfile"; then
    1514214946     # The compiler can only warn and ignore the option if not recognized
     
    1523815042   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523915043   -e 's:$: $lt_compiler_flag:'`
    15240    (eval echo "\"\$as_me:15240: $lt_compile\"" >&5)
     15044   (eval echo "\"\$as_me:15044: $lt_compile\"" >&5)
    1524115045   (eval "$lt_compile" 2>out/conftest.err)
    1524215046   ac_status=$?
    1524315047   cat out/conftest.err >&5
    15244    echo "$as_me:15244: \$? = $ac_status" >&5
     15048   echo "$as_me:15048: \$? = $ac_status" >&5
    1524515049   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1524615050   then
     
    1744517249   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1744617250   -e 's:$: $lt_compiler_flag:'`
    17447    (eval echo "\"\$as_me:17447: $lt_compile\"" >&5)
     17251   (eval echo "\"\$as_me:17251: $lt_compile\"" >&5)
    1744817252   (eval "$lt_compile" 2>conftest.err)
    1744917253   ac_status=$?
    1745017254   cat conftest.err >&5
    17451    echo "$as_me:17451: \$? = $ac_status" >&5
     17255   echo "$as_me:17255: \$? = $ac_status" >&5
    1745217256   if (exit $ac_status) && test -s "$ac_outfile"; then
    1745317257     # The compiler can only warn and ignore the option if not recognized
     
    1771317517   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1771417518   -e 's:$: $lt_compiler_flag:'`
    17715    (eval echo "\"\$as_me:17715: $lt_compile\"" >&5)
     17519   (eval echo "\"\$as_me:17519: $lt_compile\"" >&5)
    1771617520   (eval "$lt_compile" 2>conftest.err)
    1771717521   ac_status=$?
    1771817522   cat conftest.err >&5
    17719    echo "$as_me:17719: \$? = $ac_status" >&5
     17523   echo "$as_me:17523: \$? = $ac_status" >&5
    1772017524   if (exit $ac_status) && test -s "$ac_outfile"; then
    1772117525     # The compiler can only warn and ignore the option if not recognized
     
    1781717621   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1781817622   -e 's:$: $lt_compiler_flag:'`
    17819    (eval echo "\"\$as_me:17819: $lt_compile\"" >&5)
     17623   (eval echo "\"\$as_me:17623: $lt_compile\"" >&5)
    1782017624   (eval "$lt_compile" 2>out/conftest.err)
    1782117625   ac_status=$?
    1782217626   cat out/conftest.err >&5
    17823    echo "$as_me:17823: \$? = $ac_status" >&5
     17627   echo "$as_me:17627: \$? = $ac_status" >&5
    1782417628   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1782517629   then
     
    2051620320    # Here we need to check if -m32 is specified.  If so, we need to correct
    2051720321    # sys_lib_search_path_spec
    20518     *x86_64-*)
    20519       if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
    20520         { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
    20521 echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
    20522         sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
    20523         mv conftest.bla libtool
    20524         chmod 755 libtool
    20525       fi
    20526       ;;
    20527 
    20528     *-solaris*)
    20529        if test "$GCC" = yes && \
    20530      (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm64' >/dev/null 2>&1) ; then
    20531     hdwisa=`isainfo | sed -e 's/\([^ ]*\) .*$/\1/'`
    20532     if `$EGREP 'sys_lib_search_path_spec=' libtool | $EGREP -v $hdwisa >/dev/null 2>&1` ; then
    20533       { echo "$as_me:$LINENO: Applying patches to libtool for 64-bit GCC compilation" >&5
    20534 echo "$as_me: Applying patches to libtool for 64-bit GCC compilation" >&6;}
    20535       fixlibtmp=`$CC -m64 -print-search-dirs | $EGREP '^libraries:'`
    20536       fixlibtmp=`echo $fixlibtmp | sed -e 's/libraries: =//' -e 's/:/ /g'`
    20537       if `echo "$fixlibtmp" | $EGREP -v $hdwisa  >/dev/null 2>&1` ; then
    20538         # AC_MSG_NOTICE(Compensating for broken gcc)
    20539         for lib in $fixlibtmp ; do
    20540           if test -d "${lib}${hdwisa}" ; then
    20541             syslibpath64="$syslibpath64 ${lib}${hdwisa}/"
    20542           fi
    20543         done
    20544         syslibpath64="${syslibpath64} ${fixlibtmp}"
    20545       else
    20546         syslibpath64="$fixlibtmp"
    20547       fi
    20548       sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="'"$syslibpath64"'"|' libtool > conftest.bla
    20549       mv conftest.bla libtool
    20550       chmod 755 libtool
    20551     fi
    20552     # AC_MSG_NOTICE(Result is )
    20553     # $EGREP 'sys_lib_search_path_spec=' libtool
    20554   fi
    20555       ;;
    20556     # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    2055720322    *-cygwin* | *-mingw*)
    2055820323       case "$CXX" in
     
    2059520360
    2059620361      ;;
     20362    *x86_64-*)
     20363      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20364        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20365echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20366        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20367        mv conftest.bla libtool
     20368        chmod 755 libtool
     20369      fi
     20370      ;;
     20371
     20372    *-solaris*)
     20373       if test "$GCC" = yes && \
     20374     (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm64' >/dev/null 2>&1) ; then
     20375    hdwisa=`isainfo | sed -e 's/\([^ ]*\) .*$/\1/'`
     20376    if `$EGREP 'sys_lib_search_path_spec=' libtool | $EGREP -v $hdwisa >/dev/null 2>&1` ; then
     20377      { echo "$as_me:$LINENO: Applying patches to libtool for 64-bit GCC compilation" >&5
     20378echo "$as_me: Applying patches to libtool for 64-bit GCC compilation" >&6;}
     20379      fixlibtmp=`$CC -m64 -print-search-dirs | $EGREP '^libraries:'`
     20380      fixlibtmp=`echo $fixlibtmp | sed -e 's/libraries: =//' -e 's/:/ /g'`
     20381      if `echo "$fixlibtmp" | $EGREP -v $hdwisa  >/dev/null 2>&1` ; then
     20382        # AC_MSG_NOTICE(Compensating for broken gcc)
     20383        for lib in $fixlibtmp ; do
     20384          if test -d "${lib}${hdwisa}" ; then
     20385            syslibpath64="$syslibpath64 ${lib}${hdwisa}/"
     20386          fi
     20387        done
     20388        syslibpath64="${syslibpath64} ${fixlibtmp}"
     20389      else
     20390        syslibpath64="$fixlibtmp"
     20391      fi
     20392      sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="'"$syslibpath64"'"|' libtool > conftest.bla
     20393      mv conftest.bla libtool
     20394      chmod 755 libtool
     20395    fi
     20396    # AC_MSG_NOTICE(Result is )
     20397    # $EGREP 'sys_lib_search_path_spec=' libtool
     20398  fi
     20399      ;;
     20400    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    2059720401    *-darwin*)
    2059820402      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2070220506# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2070320507
     20508# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     20509if test "${enable_dependency_linking+set}" = set; then
     20510  enableval="$enable_dependency_linking"
     20511  dependency_linking="$enableval"
     20512else
     20513  dependency_linking=no
     20514fi;
     20515
    2070420516# ToDo
    2070520517# For now, don't use the -no-undefined flag, since the Makefiles are
    2070620518# not yet set up that way.  But we need to fix this, when we want
    2070720519# to comile DLLs under Windows.
    20708 LT_LDFLAGS=
     20520if test "$dependency_linking" = yes ;
     20521then
     20522  LT_LDFLAGS="-no-undefined"
     20523else
     20524  LT_LDFLAGS=
     20525fi
     20526
     20527
     20528
     20529if test "$dependency_linking" = yes; then
     20530  DEPENDENCY_LINKING_TRUE=
     20531  DEPENDENCY_LINKING_FALSE='#'
     20532else
     20533  DEPENDENCY_LINKING_TRUE='#'
     20534  DEPENDENCY_LINKING_FALSE=
     20535fi
     20536
    2070920537
    2071020538# Check if we want to set the library version
     
    2089420722  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    2089520723  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    20896   if test -e ../coin_subdirs.txt ; then
     20724  if test -f ../coin_subdirs.txt ; then
    2089720725    for i in `cat ../coin_subdirs.txt` ; do
    2089820726      if test -d ../$i ; then
     
    2090520733  fi
    2090620734
    20907   if test -e ../../coin_subdirs.txt ; then
     20735  if test -f ../../coin_subdirs.txt ; then
    2090820736    for i in `cat ../../coin_subdirs.txt` ; do
    2090920737      if test -d ../../$i ; then
     
    3078830616Usually this means the macro was only invoked conditionally." >&5
    3078930617echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     30618Usually this means the macro was only invoked conditionally." >&2;}
     30619   { (exit 1); exit 1; }; }
     30620fi
     30621if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     30622  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     30623Usually this means the macro was only invoked conditionally." >&5
     30624echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    3079030625Usually this means the macro was only invoked conditionally." >&2;}
    3079130626   { (exit 1); exit 1; }; }
     
    3172931564s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    3173031565s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     31566s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     31567s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    3173131568s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3173231569s,@PKG_CONFIG@,$PKG_CONFIG,;t t
  • trunk/Cbc/src/Makefile.am

    r1945 r1979  
    88
    99AUTOMAKE_OPTIONS = foreign
    10 
    11 SUBDIRS = OsiCbc
    1210
    1311########################################################################
     
    104102        CbcMipStartIO.cpp CbcMipStartIO.hpp \
    105103        CbcSolverExpandKnapsack.cpp CbcSolverExpandKnapsack.hpp
     104
     105# List all additionally required libraries
     106if DEPENDENCY_LINKING
     107libCbc_la_LIBADD = $(CBCLIB_LIBS)
     108libCbcSolver_la_LIBADD = $(CBCLIB_LIBS) libCbc.la
     109endif
    106110
    107111# This is for libtool
  • trunk/Cbc/src/Makefile.in

    r1945 r1979  
    8989libLTLIBRARIES_INSTALL = $(INSTALL)
    9090LTLIBRARIES = $(lib_LTLIBRARIES)
    91 libCbc_la_LIBADD =
     91am__DEPENDENCIES_1 =
     92@DEPENDENCY_LINKING_TRUE@libCbc_la_DEPENDENCIES =  \
     93@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1)
    9294am_libCbc_la_OBJECTS = Cbc_C_Interface.lo CbcBranchAllDifferent.lo \
    9395        CbcBranchCut.lo CbcBranchDecision.lo \
     
    117119        CbcTreeLocal.lo
    118120libCbc_la_OBJECTS = $(am_libCbc_la_OBJECTS)
    119 libCbcSolver_la_LIBADD =
     121@DEPENDENCY_LINKING_TRUE@libCbcSolver_la_DEPENDENCIES =  \
     122@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1) libCbc.la
    120123am_libCbcSolver_la_OBJECTS = CbcCbcParam.lo Cbc_ampl.lo CbcLinked.lo \
    121124        CbcLinkedUtils.lo unitTestClp.lo CbcSolver.lo \
     
    130133@COIN_HAS_CLP_TRUE@am_cbc_OBJECTS = CoinSolve.$(OBJEXT)
    131134cbc_OBJECTS = $(am_cbc_OBJECTS)
    132 am__DEPENDENCIES_1 =
    133135am__cbc_generic_SOURCES_DIST = CbcGenBaB.cpp CbcGenCbcParam.cpp \
    134136        CbcGenCbcParam.hpp CbcGenCbcParamUtils.cpp CbcGenCtlBlk.cpp \
     
    173175DIST_SOURCES = $(libCbc_la_SOURCES) $(libCbcSolver_la_SOURCES) \
    174176        $(am__cbc_SOURCES_DIST) $(am__cbc_generic_SOURCES_DIST)
    175 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
    176         html-recursive info-recursive install-data-recursive \
    177         install-exec-recursive install-info-recursive \
    178         install-recursive installcheck-recursive installdirs-recursive \
    179         pdf-recursive ps-recursive uninstall-info-recursive \
    180         uninstall-recursive
    181177includecoinHEADERS_INSTALL = $(INSTALL_HEADER)
    182178HEADERS = $(includecoin_HEADERS)
    183179ETAGS = etags
    184180CTAGS = ctags
    185 DIST_SUBDIRS = $(SUBDIRS)
    186181DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    187182ABSBUILDDIR = @ABSBUILDDIR@
     
    300295DEFS = @DEFS@
    301296DEPDIR = @DEPDIR@
     297DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     298DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    302299DYLP_CFLAGS = @DYLP_CFLAGS@
    303300DYLP_CFLAGS_INSTALLED = @DYLP_CFLAGS_INSTALLED@
     
    506503target_alias = @target_alias@
    507504AUTOMAKE_OPTIONS = foreign
    508 SUBDIRS = OsiCbc
    509505
    510506########################################################################
     
    602598        CbcSolverExpandKnapsack.cpp CbcSolverExpandKnapsack.hpp
    603599
     600
     601# List all additionally required libraries
     602@DEPENDENCY_LINKING_TRUE@libCbc_la_LIBADD = $(CBCLIB_LIBS)
     603@DEPENDENCY_LINKING_TRUE@libCbcSolver_la_LIBADD = $(CBCLIB_LIBS) libCbc.la
    604604
    605605# This is for libtool
     
    724724
    725725all: config.h config_cbc.h
    726         $(MAKE) $(AM_MAKEFLAGS) all-recursive
     726        $(MAKE) $(AM_MAKEFLAGS) all-am
    727727
    728728.SUFFIXES:
     
    992992        done
    993993
    994 # This directory's subdirectories are mostly independent; you can cd
    995 # into them and run `make' without going through this Makefile.
    996 # To change the values of `make' variables: instead of editing Makefiles,
    997 # (1) if the variable is set in `config.status', edit `config.status'
    998 #     (which will cause the Makefiles to be regenerated when you run `make');
    999 # (2) otherwise, pass the desired values on the `make' command line.
    1000 $(RECURSIVE_TARGETS):
    1001         @failcom='exit 1'; \
    1002         for f in x $$MAKEFLAGS; do \
    1003           case $$f in \
    1004             *=* | --[!k]*);; \
    1005             *k*) failcom='fail=yes';; \
    1006           esac; \
    1007         done; \
    1008         dot_seen=no; \
    1009         target=`echo $@ | sed s/-recursive//`; \
    1010         list='$(SUBDIRS)'; for subdir in $$list; do \
    1011           echo "Making $$target in $$subdir"; \
    1012           if test "$$subdir" = "."; then \
    1013             dot_seen=yes; \
    1014             local_target="$$target-am"; \
    1015           else \
    1016             local_target="$$target"; \
    1017           fi; \
    1018           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    1019           || eval $$failcom; \
    1020         done; \
    1021         if test "$$dot_seen" = "no"; then \
    1022           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    1023         fi; test -z "$$fail"
    1024 
    1025 mostlyclean-recursive clean-recursive distclean-recursive \
    1026 maintainer-clean-recursive:
    1027         @failcom='exit 1'; \
    1028         for f in x $$MAKEFLAGS; do \
    1029           case $$f in \
    1030             *=* | --[!k]*);; \
    1031             *k*) failcom='fail=yes';; \
    1032           esac; \
    1033         done; \
    1034         dot_seen=no; \
    1035         case "$@" in \
    1036           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    1037           *) list='$(SUBDIRS)' ;; \
    1038         esac; \
    1039         rev=''; for subdir in $$list; do \
    1040           if test "$$subdir" = "."; then :; else \
    1041             rev="$$subdir $$rev"; \
    1042           fi; \
    1043         done; \
    1044         rev="$$rev ."; \
    1045         target=`echo $@ | sed s/-recursive//`; \
    1046         for subdir in $$rev; do \
    1047           echo "Making $$target in $$subdir"; \
    1048           if test "$$subdir" = "."; then \
    1049             local_target="$$target-am"; \
    1050           else \
    1051             local_target="$$target"; \
    1052           fi; \
    1053           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    1054           || eval $$failcom; \
    1055         done && test -z "$$fail"
    1056 tags-recursive:
    1057         list='$(SUBDIRS)'; for subdir in $$list; do \
    1058           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
    1059         done
    1060 ctags-recursive:
    1061         list='$(SUBDIRS)'; for subdir in $$list; do \
    1062           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
    1063         done
    1064 
    1065994ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    1066995        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     
    10731002tags: TAGS
    10741003
    1075 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in config_cbc.h.in $(TAGS_DEPENDENCIES) \
     1004TAGS: $(HEADERS) $(SOURCES) config.h.in config_cbc.h.in $(TAGS_DEPENDENCIES) \
    10761005                $(TAGS_FILES) $(LISP)
    10771006        tags=; \
    10781007        here=`pwd`; \
    1079         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    1080           include_option=--etags-include; \
    1081           empty_fix=.; \
    1082         else \
    1083           include_option=--include; \
    1084           empty_fix=; \
    1085         fi; \
    1086         list='$(SUBDIRS)'; for subdir in $$list; do \
    1087           if test "$$subdir" = .; then :; else \
    1088             test ! -f $$subdir/TAGS || \
    1089               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
    1090           fi; \
    1091         done; \
    10921008        list='$(SOURCES) $(HEADERS) config.h.in config_cbc.h.in $(LISP) $(TAGS_FILES)'; \
    10931009        unique=`for i in $$list; do \
     
    11021018        fi
    11031019ctags: CTAGS
    1104 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in config_cbc.h.in $(TAGS_DEPENDENCIES) \
     1020CTAGS: $(HEADERS) $(SOURCES) config.h.in config_cbc.h.in $(TAGS_DEPENDENCIES) \
    11051021                $(TAGS_FILES) $(LISP)
    11061022        tags=; \
     
    11511067          fi; \
    11521068        done
    1153         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    1154           if test "$$subdir" = .; then :; else \
    1155             test -d "$(distdir)/$$subdir" \
    1156             || $(mkdir_p) "$(distdir)/$$subdir" \
    1157             || exit 1; \
    1158             distdir=`$(am__cd) $(distdir) && pwd`; \
    1159             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
    1160             (cd $$subdir && \
    1161               $(MAKE) $(AM_MAKEFLAGS) \
    1162                 top_distdir="$$top_distdir" \
    1163                 distdir="$$distdir/$$subdir" \
    1164                 distdir) \
    1165               || exit 1; \
    1166           fi; \
    1167         done
    11681069check-am: all-am
    1169 check: check-recursive
     1070check: check-am
    11701071all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) config.h \
    11711072                config_cbc.h
    11721073install-binPROGRAMS: install-libLTLIBRARIES
    11731074
    1174 installdirs: installdirs-recursive
    1175 installdirs-am:
     1075installdirs:
    11761076        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includecoindir)"; do \
    11771077          test -z "$$dir" || $(mkdir_p) "$$dir"; \
    11781078        done
    1179 install: install-recursive
    1180 install-exec: install-exec-recursive
    1181 install-data: install-data-recursive
    1182 uninstall: uninstall-recursive
     1079install: install-am
     1080install-exec: install-exec-am
     1081install-data: install-data-am
     1082uninstall: uninstall-am
    11831083
    11841084install-am: all-am
    11851085        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    11861086
    1187 installcheck: installcheck-recursive
     1087installcheck: installcheck-am
    11881088install-strip:
    11891089        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     
    12021102        @echo "it deletes files that may require special tools to rebuild."
    12031103@COIN_CXX_IS_CL_FALSE@install-exec-hook:
    1204 clean: clean-recursive
     1104clean: clean-am
    12051105
    12061106clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
    12071107        clean-libtool mostlyclean-am
    12081108
    1209 distclean: distclean-recursive
     1109distclean: distclean-am
    12101110        -rm -rf ./$(DEPDIR)
    12111111        -rm -f Makefile
     
    12131113        distclean-hdr distclean-libtool distclean-tags
    12141114
    1215 dvi: dvi-recursive
     1115dvi: dvi-am
    12161116
    12171117dvi-am:
    12181118
    1219 html: html-recursive
    1220 
    1221 info: info-recursive
     1119html: html-am
     1120
     1121info: info-am
    12221122
    12231123info-am:
     
    12301130        $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
    12311131
    1232 install-info: install-info-recursive
     1132install-info: install-info-am
    12331133
    12341134install-man:
     
    12361136installcheck-am:
    12371137
    1238 maintainer-clean: maintainer-clean-recursive
     1138maintainer-clean: maintainer-clean-am
    12391139        -rm -rf ./$(DEPDIR)
    12401140        -rm -f Makefile
    12411141maintainer-clean-am: distclean-am maintainer-clean-generic
    12421142
    1243 mostlyclean: mostlyclean-recursive
     1143mostlyclean: mostlyclean-am
    12441144
    12451145mostlyclean-am: mostlyclean-compile mostlyclean-generic \
    12461146        mostlyclean-libtool
    12471147
    1248 pdf: pdf-recursive
     1148pdf: pdf-am
    12491149
    12501150pdf-am:
    12511151
    1252 ps: ps-recursive
     1152ps: ps-am
    12531153
    12541154ps-am:
     
    12571157        uninstall-info-am uninstall-libLTLIBRARIES uninstall-local
    12581158
    1259 uninstall-info: uninstall-info-recursive
    1260 
    1261 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
    1262         clean clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
    1263         clean-libtool clean-recursive ctags ctags-recursive distclean \
    1264         distclean-compile distclean-generic distclean-hdr \
    1265         distclean-libtool distclean-recursive distclean-tags distdir \
    1266         dvi dvi-am html html-am info info-am install install-am \
    1267         install-binPROGRAMS install-data install-data-am install-exec \
    1268         install-exec-am install-exec-hook install-exec-local \
     1159.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
     1160        clean-generic clean-libLTLIBRARIES clean-libtool ctags \
     1161        distclean distclean-compile distclean-generic distclean-hdr \
     1162        distclean-libtool distclean-tags distdir dvi dvi-am html \
     1163        html-am info info-am install install-am install-binPROGRAMS \
     1164        install-data install-data-am install-exec install-exec-am \
     1165        install-exec-hook install-exec-local \
    12691166        install-includecoinHEADERS install-info install-info-am \
    12701167        install-libLTLIBRARIES install-man install-strip installcheck \
    1271         installcheck-am installdirs installdirs-am maintainer-clean \
    1272         maintainer-clean-generic maintainer-clean-recursive \
    1273         mostlyclean mostlyclean-compile mostlyclean-generic \
    1274         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
    1275         tags tags-recursive uninstall uninstall-am \
    1276         uninstall-binPROGRAMS uninstall-includecoinHEADERS \
    1277         uninstall-info-am uninstall-libLTLIBRARIES uninstall-local
     1168        installcheck-am installdirs maintainer-clean \
     1169        maintainer-clean-generic mostlyclean mostlyclean-compile \
     1170        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     1171        tags uninstall uninstall-am uninstall-binPROGRAMS \
     1172        uninstall-includecoinHEADERS uninstall-info-am \
     1173        uninstall-libLTLIBRARIES uninstall-local
    12781174
    12791175
  • trunk/Cbc/src/OsiCbc/Makefile.am

    r1899 r1979  
    1818# List all source files for this library, including headers
    1919libOsiCbc_la_SOURCES = OsiCbcSolverInterface.cpp OsiCbcSolverInterface.hpp
     20
     21# List all additionally required libraries
     22if DEPENDENCY_LINKING
     23libOsiCbc_la_LIBADD = $(CBCLIB_LIBS) ../libCbc.la
     24endif
    2025
    2126# This is for libtool (on Windows)
  • trunk/Cbc/src/OsiCbc/Makefile.in

    r1933 r1979  
    7575libLTLIBRARIES_INSTALL = $(INSTALL)
    7676LTLIBRARIES = $(lib_LTLIBRARIES)
    77 libOsiCbc_la_LIBADD =
     77am__DEPENDENCIES_1 =
     78@DEPENDENCY_LINKING_TRUE@libOsiCbc_la_DEPENDENCIES =  \
     79@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1) ../libCbc.la
    7880am_libOsiCbc_la_OBJECTS = OsiCbcSolverInterface.lo
    7981libOsiCbc_la_OBJECTS = $(am_libOsiCbc_la_OBJECTS)
     
    218220DEFS = @DEFS@
    219221DEPDIR = @DEPDIR@
     222DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     223DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    220224DYLP_CFLAGS = @DYLP_CFLAGS@
    221225DYLP_CFLAGS_INSTALLED = @DYLP_CFLAGS_INSTALLED@
     
    435439libOsiCbc_la_SOURCES = OsiCbcSolverInterface.cpp OsiCbcSolverInterface.hpp
    436440
     441# List all additionally required libraries
     442@DEPENDENCY_LINKING_TRUE@libOsiCbc_la_LIBADD = $(CBCLIB_LIBS) ../libCbc.la
     443
    437444# This is for libtool (on Windows)
    438445libOsiCbc_la_LDFLAGS = $(LT_LDFLAGS)
  • trunk/Cbc/test/Makefile.in

    r1933 r1979  
    200200DEFS = @DEFS@
    201201DEPDIR = @DEPDIR@
     202DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     203DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    202204DYLP_CFLAGS = @DYLP_CFLAGS@
    203205DYLP_CFLAGS_INSTALLED = @DYLP_CFLAGS_INSTALLED@
Note: See TracChangeset for help on using the changeset viewer.